#!/bin/bash

# create marker files so that we only run hp-fm once per transaction
mkdir -p /var/lib/rpm-state/firmware/
touch /var/lib/rpm-state/firmware/firmware-ilo4-2.78-1.1

# check if setup file exist in the path
# otherwise check if hpseup exist.
# otherwise alert and continue

SETUP="/usr/lib/i386-linux-gnu/firmware-ilo4-2.78-1.1/setup"
HPSETUP="/usr/lib/i386-linux-gnu/firmware-ilo4-2.78-1.1/hpsetup"
FLASH_NOW=`echo $FIRMWARE_FLASH_NOW`

if [ -n "${FLASH_NOW}" ] && [ "${FLASH_NOW}" -eq 1 ]; then
    echo "FIRMWARE_FLASH_NOW is defined as $FLASH_NOW. Hence, this firmware will be flashed now."
    if [ -f "${SETUP}" ]; then
        sh $SETUP -s -f 
    elif [ -f "${HPSETUP}" ]; then
        sh $HPSETUP -s -f 
    else
        echo "Firmware flash program not found."
    fi

    STATUS=$?
    if [ "${STATUS}" -eq 0 ]; then
        echo "The smart component was installed successfully."
    elif [ "${STATUS}" -eq 1 ]; then
        echo "The smart component was installed successfully, but the system must be restarted."
    elif [ "${STATUS}" -eq 2 ]; then
        echo "The installation was not attempted because the required hardware is not present, the software is current, or there is nothing to install."
    elif [ "${STATUS}" -eq 3 ]; then
        echo "The smart component was not installed. For more information, see the log file."
    else
        echo "The returned code is not define. For more information, see the log file."
    fi
fi

exit 0